
hci-sidebar {
  display: flex;
}

hci-sidebar.hide {
  display: none;
}

.hci-sidebar {
  @include themify($themes) {
    background-color: themed("sidebar-background-color");
    color: themed("sidebar-text-color");
  }

  display: flex;
  flex-direction: column;
  z-index: 25;
  box-shadow: 2px 0px 2px #888;
  font-size: 1.25rem;

  .nav-item {
    font-size: 1.0rem;
    min-height: 2.0rem;

    @include themify($themes) {
      color: themed("sidebar-item-color");
      background-color: themed("sidebar-item-background-color");
    }

    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
  }

  .nav-item.active, .nav-item .active {
    @include themify($themes) {
      color: themed("sidebar-selected-item-color");
      background-color: themed("sidebar-selected-item-background-color");
    }
  }

  .nav-item.group {
    @include themify($themes) {
      color: themed("sidebar-group-color");
      background-color: themed("sidebar-group-background-color");
    }
  }

  .nav-item.group.active, .nav-item.group .active {
    @include themify($themes) {
      color: themed("sidebar-selected-group-color");
      background-color: themed("sidebar-selected-group-background-color");
    }
  }
}

.hci-sidebar .top-sidebar-container {
  display: flex;
  flex-grow: 1;
  flex-direction: column;
  padding-left: 0;
  list-style: none;
  overflow-y: hidden;
}

.hci-sidebar.hide-shadow {
  box-shadow: none;
}

.hci-sidebar .hci-ul {
  padding-left: 0px;
  list-style: none;
  flex-direction: column;
}

.hci-sidebar .hci-ul, .hci-sidebar .hci-li {
  flex-shrink: 0;
}

.hci-sidebar ul, .hci-sidebar ol {
  list-style: none;
  padding-left: 0px;
}

.hci-sidebar .nav-item.header {
  @include themify($themes) {
    background-color: themed("sidebar-header-background-color");
    color: themed("sidebar-header-text-color");
  }

  padding-left: 10px;
}

hci-dictionary-editor .hci-sidebar .nav-item {
  background-color: inherit !important;
  color: $white-lightest !important;
}

.hci-sidebar a.active-link {
  @include themify($themes) {
    background-color: themed("selected-color");
  }
}

.hci-sidebar a {
  height: 100%;
}

.hci-sidebar .nav-item {
  display: flex;
}

.hci-sidebar span {
  display: none;
}

.hci-sidebar.expanded span {
  display: flex;
}

.hci-sidebar .sidebar-flyout span {
  display: flex;
}

.hci-sidebar.expanded .nav-item.left, .hci-sidebar .nav-item.right {
  display: flex;
}

.hci-sidebar.expanded .nav-item.right, .hci-sidebar .nav-item.left {
  display: none;
}

.hci-sidebar ul {
  margin-bottom: 0;
}

.hci-sidebar li {
  /*height: 2.5rem;*/
  border-bottom: 2px solid rgba(0, 0, 0, 0.125);
}

.hci-sidebar .no-border-li li {
  border-bottom: 0px;
}

.hci-sidebar:not(.expanded) .hci-badge {
  margin-left: -8px;
}

.hci-sidebar:not(.expanded) hci-li-exp div.hover {
  height: 40px;
}

.hci-sidebar:not(.expanded) a:hover .hci-li-span.hci-tooltip {
  display: flex;
  position: fixed;
  z-index: 999;
  padding: 0px 8px 0px 8px;
  left: 48px;
  border-radius: 8px;
  height: 26px;
  font-size: medium;
  font-weight: normal;
}

.hci-sidebar:not(.expanded) a:hover .hci-li-span.hci-tooltip:before {
  content: "";
  display: block;
  width: 0;
  height: 0;
  position: absolute;
  border-top: 7px solid transparent;
  border-bottom: 7px solid transparent;
  border-right: 9px solid black;
  left: -8px;
  top: 7px;
}

.hci-sidebar .nav-link {
  display: flex;
  align-items: center;
  overflow: hidden;
  white-space: nowrap;
}

.hci-sidebar span {
  padding-left: 10px;
}

.hci-sidebar:not(.expanded) .sidebar-flyout {
  position: relative;
  z-index: 999;
  padding: 0px 8px 0px 8px;
  left: 46px;
  border-radius: 8px;
  font-size: medium;
  font-weight: normal;
  top: -100%;
  width: fit-content;
}

.hci-sidebar:not(.expanded) .sidebar-flyout:before {
  content: "";
  display: block;
  width: 0;
  height: 0;
  position: absolute;
  border-top: 7px solid transparent;
  border-bottom: 7px solid transparent;
  border-right: 9px solid black;
  left: -8px;
  top: 7px;
}

.hci-sidebar .sidebar-collapse-button {
  /*@include themify($themes) {
    background-color: themed("sidebar-header-background-color");
  }*/

  min-height: 2.5rem;
  padding: 4px;
  /*border: 0;
  border-top: 2px solid #c5c5c5;*/
}

.hci-sidebar .hci-li-span {
  display: none;
  padding-left: 0.5rem;
}

.hci-sidebar.expanded .hci-li-span {
  display: flex !important;
}

.hci-sidebar hci-ul ul {
  padding-left: 0px;
  list-style: none;
  background-color: #6da9c7
}

.hci-sidebar .bottom-of-sidebar {
  background-color: #6da9c7
}

.hci-sidebar hci-li li {
  display: flex;
  /*height: 2.5rem;*/
  align-items: center;
  overflow: hidden;
  white-space: nowrap;
}

.hci-sidebar hci-li li a {
  width: 100%;
  transition: background-color 250ms linear, color 250ms linear, border 100ms linear;
  cursor: pointer;
}

.hci-sidebar .paging-footer {
  @include themify($themes) {
    background-color: themed("sidebar-footer-background-color");
    color: themed("sidebar-footer-text-color");
  }
}

/* Splitter */
.sidebar-splitter {
  @include themify($themes) {
    background-color: themed("sidebar-splitter-background-color");
    box-shadow: themed("sidebar-splitter-shadow");
  }

  display: flex;
  z-index: 24;
  flex-direction: column;
  justify-content: center;
  cursor: col-resize;
}

/* Sidebar Related */
hci-li-exp ul.flyout a {
  /*color: white;*/
}

hci-li-exp ul.flyout a:hover {
  /*color: #cccccc;*/
}

.hci-sidebar hci-search-list .hci-ul.scrollable {
  max-height: inherit;
}

/*********************************************************************************************************************/

/* In @huntsman-cancer-institute/style 5.0.0-beta.1 */
.hci-sidebar .top-sidebar-container {
  display: flex;
  position: relative;
  height: 100vh;
  margin-right: -4px;
  background-color: $white-lightest;
  box-shadow: 2px 0px 1px $greycool-light;
}

.ri .hci-sidebar,
.ri-sidebar .hci-sidebar,
.theme-core-default .hci-sidebar {
  font-family: hci-font;
  color: $bluewarm-darkest;
  background-color: $white-lightest;
  box-shadow: none;
  line-height: initial;

  // Moves the collapse button
  margin-right: -1px;

  .sidebar-collapse-button {
    position: absolute;
    bottom: 26px;
    align-items: center;
    height: 26px;
    float: right;
    background-color: transparent !important;
    border: none;
  }

  a {
    float: right;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    justify-content: center;
    border-bottom: 1px solid $grey-light;
  }

  span {
    padding-left: 4px !important;
  }

  ul {
    justify-content: center !important;
    padding-top: 10px !important;
    padding-bottom: 10px !important;
  }

  .bottom-of-sidebar {
    display: none !important;
  }

  .nav-item {
    background-color: $white-darkest;
    color: $grey-dark;
    border-bottom: none;
    border: 0.1px solid $grey-light;
  }

  .nav-item.active {
    background-color: $white-medlight;
    color: $bluewarmvivid-lightest;
    border-bottom: none;
    border-left: 0.1px solid $grey-light;
    border-right: 0.1px solid $grey-light;
    border-top: 0.1px solid $grey-light;
    font-weight: 600;
  }
}

.ri .sidebar-splitter,
.ri-sidebar .sidebar-splitter,
.theme-core-default .sidebar-splitter {
  background-color: $white-lightest !important;
  box-shadow: none;

  .splitter-icon {
    color: $bluewarm-darkest;
  }
}

.ri-sidebar-cell {
  font-family: hci-font;
  color: $bluewarm-darkest;
  background-color: $white-lightest;
  padding-left: 8px;
  padding-top: 8px;
  padding-bottom: 8px;
}

.row-parent.active > .ri-sidebar-cell {
  background-color: $bluewarmvivid-lightest;
  color: $white-lightest;
  margin-top: 0px;
  outline: none;
}

.ri-sidebar-cell-main-text {
  font-family: hci-font;
  font-size: 15px;
  font-weight: 500;
  margin-left: 8px;
}

.ri-sidebar-cell-secondary-text-label,
.ccr-sidebar-cell-secondary-text-label {
  font-family: hci-font;
  font-size: 12px;
  font-weight: 300;
  margin-left: 8px;
}

.ri-sidebar-cell-secondary-text-value {
  font-family: hci-font;
  font-size: 12px;
  font-weight: 500;
  margin-left: 8px;
}
